Package

## Class InMobiUserDataTypes

- All Implemented Interfaces:

      public final class InMobiUserDataTypes

  InMobiUserDataTypes is Data Model for holding user data in hashed format. that uses InMobiUserDataTypes to hold on to user email and md5

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `public final class` | `InMobiUserDataTypes.Builder` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private final String` | `md5` |
    `private final String` | `sha1` |
    `private final String` | `sha256` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InMobiUserDataTypes(String md5, String sha1, String sha256)` |

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `final String` | `getMd5()` |
    `final String` | `getSha1()` |
    `final String` | `getSha256()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMobiUserDataTypes

          InMobiUserDataTypes(String md5, String sha1, String sha256)

  - ### Method Detail

    - #### getMd5

           final String getMd5()

    - #### getSha1

           final String getSha1()

    - #### getSha256

           final String getSha256()